Bug 1763265 - Incorrect error handling on realm watch object
Summary: Incorrect error handling on realm watch object
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW-Multisite
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 4.0
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-18 15:39 UTC by Casey Bodley
Modified: 2020-01-31 12:48 UTC (History)
3 users (show)

Fixed In Version: ceph-14.2.4-29.el8cp, ceph-14.2.4-2.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:47:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 40991 0 None None None 2019-10-18 15:39:35 UTC
Github ceph ceph pull 29369 0 'None' closed rgw: fix potential realm watch lost 2020-03-03 04:48:07 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:48:02 UTC

Description Casey Bodley 2019-10-18 15:39:35 UTC
The multisite realm object used for inter-gateway coordination can fail to renew its watch under certain error conditions.

Comment 1 RHEL Program Management 2019-10-18 15:39:41 UTC
Please specify the severity of this bug. Severity is defined here:
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity.

Comment 7 errata-xmlrpc 2020-01-31 12:47:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.